#!/bin/bash

URL=${1:-'https://www.dialog-ueber-deutschland.de/DE/20-Vorschlaege/10-Wie-Leben/Einzelansicht/vorschlaege_einzelansicht_node.html?cms_idIdea=2070'}

# fetch page
html=$(wget --retry-connrefused -O - $URL)
votes=$(echo -e "$html" | sed -n -e 's/.\+<span class="number">\([^<]\+\).\+/\1/p' | head -n 1)
idIdea=$(echo -e "$html" | sed -n -e '/<link rel="canonical"/ s/.\+idIdea=\([^"]\+\).\+/\1/p')
idea=$(echo -e "$html" | sed -n -e '/<div class="vorschlag-/,/<div class="category-box">/ p' | html2text -width 120 | sed -e 's/&quot;/"/g; s/amp;//g')
headline=$(echo -e "$idea" | head -n 1 | tail -n 1 | sed -n -e 's/\*\+ \(.\+\) \*\+/\1/p')
author=$(echo -e "$idea" | head -n 2 | tail -n 1)
datetime=$(echo -e "$author" | sed -n -e 's/.\+ \(..\)\.\(..\)\.\(....\) um \(.....\) Uhr.\+/\3-\2-\1 \4:00/p')
author=$(echo -e "$author" | sed -n -e 's/.\+ von \(.\+\) erstellt/\1/p')
idea=$(echo -e "$idea" | sed -e '1,2 d')

echo -e "IDIDEA=$idIdea"
echo -e "VOTES=$votes"
echo -e "URL=$URL"
echo -e "AUTHOR=$author"
echo -e "DATETIME=$datetime"
echo -e "HEADLINE=$headline"
echo -e "$idea"
echo "----------"
